# FONCHAT 聊天应用

基于 uni-app 开发的跨平台聊天应用，支持微信小程序、H5、iOS 和 Android 等多个平台。

## 项目简介

FONCHAT 是一款现代化的即时通讯应用，采用 uni-app 框架开发，实现了一次开发，多端运行的目标。项目使用了 Vue.js 2.0 作为核心框架，结合 uView UI 组件库，提供了流畅的用户体验和统一的界面风格。



## 技术栈

- uni-app
- Vue.js 2.0
- uView UI
- WeChat JS-SDK
- 高德地图 SDK
- Moment.js

## 开发环境要求

- HBuilderX IDE
- Node.js
- 微信开发者工具（用于小程序开发）

## 快速开始

1. 克隆项目
```bash
git clone [项目地址]
cd fonchat
```

2. 安装依赖
```bash
npm install
```


## 项目结构

```
├── components/     # 自定义组件
├── pages/         # 页面文件
├── static/        # 静态资源
├── store/         # Vuex 状态管理
├── utils/         # 工具函数
├── http/          # 网络请求
├── common/        # 公共资源
└── uview-ui/      # uView UI 组件库
```
